Folks.AbstractFieldDetails.equal – folks Reference Manual

# equal

## Description:

public virtual bool equal (AbstractFieldDetails<T> that)

A fairly-strict equality function for AbstractFieldDetails.

This function compares:

- AbstractFieldDetails.values
- AbstractFieldDetails.parameters

And does not compare:

- AbstractFieldDetails.ids

See the description of AbstractFieldDetails.values_equal for details on the value comparison.

To check equality not including the parameters, see AbstractFieldDetails.values_equal.

## Parameters:

that | another AbstractFieldDetails

## Returns:

whether the elements are equal

## Since:

0.6.0

## See also:

AbstractFieldDetails.parameters_equal, AbstractFieldDetails.values_equal